PHP 7.2, el nuevo predeterminado en Nodored

Publicado el 8 Nov, 2019
Publicado en Noticias | Seguridad | Wordpress

Aquí en Nodored, la constante estabilidad, seguridad y velocidad de sus sitios web son de suma importancia para nosotros, como lo son para usted. Creemos completamente que mantener actualizado su software es una buena idea por muchas razones. Todos los usuarios de WordPress deben seguir adelante y actualizar a la versión más reciente de PHP lo más rápido posible. Las versiones 5.6 y 7.0 han alcanzado el estado End Of Life (EOL), es edcir, no tienen mas soporte. Cada vez más aplicaciones han comenzado a instar a sus usuarios que se ejecutan en versiones obsoletas a actualizar a la versión 7.2 o posterior. Lo que esperamos es que a estas alturas al menos ya haya actualizado a la versión 7.

Lanzado en diciembre de 2015, PHP 7.0 ofreció un rendimiento considerable y mejoras en la utilización de la memoria para todas las aplicaciones web, incluido WordPress. Nuestros esfuerzos proactivos para abogar por su adopción en nuestros clientes han dado como resultado que muchos sitios se vuelvan más rápidos y seguros.

Sin embargo, desde entonces hubo tres lanzamientos más recientes: 7.1, 7.2 y 7.3. La comunidad ha mantenido PHP durante catorce años y continuó haciéndolo. Por lo tanto, creemos que todos les debemos el reconocimiento por hacerlo continuamente. Si hay algo que es seguro, es el hecho de que las versiones 5 y 7.0 son cosa del pasado.

PHP 7 está disponible desde hace casi dos años. Este es tiempo más que suficiente para que tanto el plugin como los desarrolladores se familiaricen y realicen el intercambio. Es hora de avanzar de las versiones 5 y 7.0 y actualizar a una versión más reciente y compatible para que todos podamos innovar más rápido. Para impulsar la web, estamos obligados a tomar una posición en contra del software antiguo, lento e inseguro.

PHP 7.2 como versión predeterminada de PHP en todos nuestros servidores

En base a lo expuesto el año pasado, hemos programado el cambio de la versión predeterminada (inherit) para todos nuestros servidores a la versión 7.2. Este cambio se realizará en forma definitiva el 02/12/2019

A partir del 02/12/2019, todas las nuevas cuentas de hosting que mantenga trabajen con la versión heredada o inherit de PHP cambiarán automáticamente a la versión 7.2 por defecto. Esta actualización mejorará la eficiencia. Por supuesto, en caso de problemas o incompatibilidades, tiene la opción de degradar su versión.

Las cuentas existentes deben actualizar manualmente

Todas las versiones existentes de hosting diferentes a la versión 5.6 no se verán afectadas ni se modificarán. Por supuesto, para todos ellos, la actualización a 7.2 está a solo un clic de distancia y es altamente recomendable.

Entendemos que actualizar su sitio web a una nueva versión puede ser complejo. Para proporcionarle el tiempo suficiente para garantizar la compatibilidad, hemos implementado medidas de protección y prevención para extender la continuidad de PHP 5.6 y 7.0 en nuestra plataforma más allá de su fecha de fin de línea de diciembre de 2018, por lo que estamos programando la desinstalación definitiva de las versiones 5.6 y 7.0 para el segundo trimestre del año 2020.

Sin embargo, las versiones 5.2, 5.3, 5.4 y 5.5 se eliminarán del Selector de PHP de Nodored desde el 02/12/2019. Se recomienda encarecidamente que actualice a la versión 7.2 o 7.3 ya que las versiones anteriores pronto se eliminarán por completo de todos los servidores de Nodored.

¿Que beneficios tiene actualizar a la version 7.2?

Como con cada nueva versión, PHP se vuelve cada vez más rápido. El lanzamiento de 7.2 ofrece notables beneficios de rendimiento. Algunos clientes de nuestra plataforma que aprovecharon la actualización ya han experimentado una mejora en la velocidad de carga de hasta un 40%. Además, muchos han reportado resultados más altos en la eficiencia de la memoria.

PHP 7.2 también proporciona seguridad mejorada, implementando la función de hash de contraseña Argon 2, seguida de la introducción de la biblioteca de criptografía Libsodium.

WordPress y Drupal 8 recomiendan PHP 7.2

Es oficial: no solo PHP 7.2 es compatible con WordPress, sino que la página oficial de requisitos de WordPress sugiere que para ejecutar la aplicación su host debe ser compatible con 7.3 o superior.

Lo mismo ocurre con Drupal 8.5.0, que recomienda PHP 7.2 como versión mínima recomendada. Los módulos de Drupal y los plugins de WordPress deberían poder seguir funcionando correctamente con la última versión estable de PHP.

Garantizar la compatibilidad de PHP 7.2

La realidad es que nuestros clientes no son 100% usuarios de WordPress, por lo que no podemos simplemente actualizarnos sin graves consecuencias. Sin embargo, lo que podemos hacer es tratar de educar a nuestros usuarios que el uso de versiones no compatibles expone a su sitio web a un riesgo grave.

PHP 7.2 no es una actualización significativa si viene de la versión 7.1 en comparación a lo que fue actualizar a la versión 7 desde la version 5. Sin embargo, hay incompatibilidades de 7.1 a 7.2, así como características reducidas. Todavía instamos a todos los clientes existentes, que aún no han cambiado a 7.2, a probar si su sitio funciona correctamente (en una copia provisional si es posible).

Articulos relacionados

Certificado Raiz de Sectigo expirados 30 de mayo de 2020

Certificado Raiz de Sectigo expirados 30 de mayo de 2020

Dos de los certificados raiz de Sectigo han expirado (y han sido reemplazados). La mayoría de los navegadores y sistemas modernos usan los nuevos certificados de la cadena automáticamente, algunos sistemas más antiguos pueden devolver errores. En esos casos los...

Cifrar sus correos electrónicos con S / MIME

Cifrar sus correos electrónicos con S / MIME

Ya sea que esté pensando en métodos de comunicación personal o comercial, uno de los medios más importantes sigue siendo el correo electrónico. En 2020, hay más de 4 mil millones de usuarios de correo electrónico en todo el mundo, y se envían 306 mil millones de...

¿Ya tienes un sitio web? ahora necesitas que funcione

¿Ya tienes un sitio web? ahora necesitas que funcione

Muchas empresas o proyectos cuentan con un sitio web, pero pocas saben aprovecharlo como se debe para establecer o potenciar su presencia en Internet. Son innumerables las ofertas existentes de Diseño Web, pero la gran mayoría se enfocan unicamente en satisfacer la...

0 Comentarios

0 comentarios

Enviar un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

¿Te resulto útil este articulo?

Suscríbite a nuestro boletín





¡Compartelo!

Comparte este post con tus amigos